TiddlyWiki5 Individual Contributor License Agreement
====================================================

Thank you for your interest in contributing to TiddlyWiki5. TiddlyWiki is owned by the UnaMesa Association ("We" or "Us").

This contributor agreement ("Agreement") documents the rights granted by contributors to Us. To make this document effective, please sign it and send it to Us by electronic submission, following the instructions in `contributing.md`, which is in the root directory of the project repository. This is a legally binding document, so please read it carefully before agreeing to it. The Agreement may cover more than one software project managed by Us.

## 1. Definitions

"You" means the individual who Submits a Contribution to Us.

"CLA" means Contributor License Agreement (this document)

"Contribution" means any work of authorship that is Submitted by You to Us in which You own or assert ownership of the Copyright. If You do not own the Copyright in the entire work of authorship, please follow the instructions in `contributing.md`, which is in the root directory of the project repository.

"Copyright" means all rights protecting works of authorship owned or controlled by You, including copyright, moral and neighboring rights, as appropriate, for the full term of their existence including any extensions by You.

"Material" means the work of authorship which is made available by Us to third parties. When this Agreement covers more than one software project, the Material means the work of authorship to which the Contribution was Submitted. After You Submit the Contribution, it may be included in the Material.

"Submit" means any form of electronic, verbal, or written communication sent to Us or our representatives, including but not limited to electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, Us for the purpose of discussing and improving the Material, but excluding communication that is conspicuously marked or otherwise designated in writing by You as "Not a Contribution."

"Submission Date" means the date on which You Submit a Contribution to Us.

"Effective Date" means the date You execute this Agreement or the date You first Submit a Contribution to Us, whichever is earlier.

"Media" means any portion of a Contribution which is not software.

## 2. Grant of Rights

### 2.1 Copyright License

(a) You retain ownership of the Copyright in Your Contribution and have the same rights to use or license the Contribution which You would have had without entering into the Agreement.

(b) To the maximum extent permitted by the relevant law, You grant to Us a perpetual, worldwide, non-exclusive, transferable, royalty-free, irrevocable license under the Copyright covering the Contribution, with the right to sublicense such rights through multiple tiers of sublicensees, to reproduce, modify, display, perform and distribute the Contribution as part of the Material; provided that this license is conditioned upon compliance with Section 2.3.

### 2.2 Patent License

For patent claims including, without limitation, method, process, and apparatus claims which You own, control or have the right to grant, now or in the future, You grant to Us a perpetual, worldwide, non-exclusive, transferable, royalty-free, irrevocable patent license, with the right to sublicense these rights to multiple tiers of sublicensees, to make, have made, use, sell, offer for sale, import and otherwise transfer the Contribution and the Contribution in combination with the Material (and portions of such combination). This license is granted only to the extent that the exercise of the licensed rights infringes such patent claims; and provided that this license is conditioned upon compliance with Section 2.3.

### 2.3 Outbound License

As a condition on the grant of rights in Sections 2.1 and 2.2, We agree to license the Contribution only under the terms of the license or licenses which We are using on the Submission Date for the Material or the following additional licenses: BSD 3-clause "New" or "Revised" License (including any right to adopt any future version of a license if permitted).

In addition, We may use the following licenses for Media in the Contribution: Creative Commons Attribution 3.0 (including any right to adopt any future version of a license if permitted).

### 2.4 Moral Rights.

If moral rights apply to the Contribution, to the maximum extent permitted by law, You waive and agree not to assert such moral rights against Us or our successors in interest, or any of our licensees, either direct or indirect.

### 2.5 Our Rights.

You acknowledge that We are not obligated to use Your Contribution as part of the Material and may decide to include any Contribution We consider appropriate.

### 2.6 Reservation of Rights.

Any rights not expressly licensed under this section are expressly reserved by You.

### 2.7 3rd Party Libraries and Plugins

We may use 3rd party libraries to create TiddlyWiki5 plugins. These libraries may have their own licenses. 3rd party software and licenses are not subject in this CLA, while TiddlyWiki5 plugins that use these libraries are. 3rd party libraries may be included everywhere, especially in the following directories and their subdirectories: `plugins/` and `editions/`.

## 3. Agreement

You confirm that:

(a) You have the legal authority to enter into this Agreement.

(b) You own the Copyright and patent claims covering the Contribution which are required to grant the rights under Section 2.

(c) The grant of rights under Section 2 does not violate any grant of rights which You have made to third parties, including Your employer. If You are an employee, You have had Your employer approve this Agreement or sign the Entity version of this document. If You are less than eighteen years old, please have Your parents or guardian sign the Agreement.

(d) You have followed the instructions in `contributing.md`, if You do not own the Copyright in the entire work of authorship Submitted. The file can be found in the root directory of the project repository.

## 4. Disclaimer

EXCEPT FOR THE EXPRESS WARRANTIES IN SECTION 3, THE CONTRIBUTION IS PROVIDED "AS IS". MORE PARTICULARLY, ALL EXPRESS OR IMPLIED WARRANTIES INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE EXPRESSLY DISCLAIMED BY YOU TO US. TO THE EXTENT THAT ANY SUCH WARRANTIES CANNOT BE DISCLAIMED, SUCH WARRANTY IS LIMITED IN DURATION TO THE MINIMUM PERIOD PERMITTED BY LAW.

## 5. Consequential Damage Waiver

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL YOU BE LIABLE FOR ANY LOSS OF PROFITS, LOSS OF ANTICIPATED SAVINGS, LOSS OF DATA, INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL AND EXEMPLARY DAMAGES ARISING OUT OF THIS AGREEMENT REGARDLESS OF THE LEGAL OR EQUITABLE THEORY (CONTRACT, TORT OR OTHERWISE) UPON WHICH THE CLAIM IS BASED.

## 6. Miscellaneous

6.1 This Agreement will be governed by and construed in accordance with the laws of the State of California and the United States excluding its conflicts of law provisions. Under certain circumstances, the governing law in this section might be superseded by the United Nations Convention on Contracts for the International Sale of Goods ("UN Convention") and the parties intend to avoid the application of the UN Convention to this Agreement and, thus, exclude the application of the UN Convention in its entirety to this Agreement.

6.2 This Agreement sets out the entire agreement between You and Us for Your Contributions to Us and overrides all other agreements or understandings.

6.3 If You or We assign the rights or obligations received through this Agreement to a third party, as a condition of the assignment, that third party must agree in writing to abide by all the rights and obligations in the Agreement.

6.4 The failure of either party to require performance by the other party of any provision of this Agreement in one situation shall not affect the right of a party to require such performance at any time in the future. A waiver of performance under a provision in one situation shall not be considered a waiver of the performance of the provision in the future or a waiver of the provision in its entirety.

6.5 If any provision of this Agreement is found void and unenforceable, such provision will be replaced to the extent possible with a provision that comes closest to the meaning of the original provision and which is enforceable. The terms and conditions set forth in this Agreement shall apply notwithstanding any failure of essential purpose of this Agreement or any limited remedy to the maximum extent possible under law.

List of Contributors
====================

The below-signed are contributors to a code repository that is part of the project named "TiddlyWiki5". Each below-signed contributor has read, understand and agrees to the terms above in the section within this document entitled "TiddlyWiki5 Individual Contributor License Agreement" as of **the date** beside his or her **real name** and **GitHub account name**.

eg: Jeremy Ruston, @Jermolene, 2011/11/22

## Contributors

Mario Pietsch, @pmario, 2013/09/21

David Johnston, @Brennall, 2013/09/21

Tobias Beer, @tobibeer, 2013/09/21

Nate Cain, @natecain, 2013/09/30

Bob Robison, @grayeul, 2013/11/11

Adrian Sampaleanu, @asampal, 2013/11/17

David Jade, @davidjade, 2013/11/30

Stephan Hradek, @Skeeve, 2013/11/30

Brian Shaver, @shakerlxxv, 2013/12/07

Paul Bond, @willover, 2013/12/17

João Bolila, @jbolila, 2014/01/05

Chris Sugden, @csugden, 2014/01/13

Jeffrey Wilkinson, @buggyj, 2014/01/10

Simon Baird, @simonbaird, 2014/01/29

Daniel Barrett, @shendaras, 2014/02/07

Bram Chen, @BramChen, 2014/02/20

Xavier Cazin, @xcazin, 2014/02/21

Rustem Akbulatov, @rubaboo, 2014/03/04

Harald Albrecht, @TheDiveO, 2014/03/12

Maurizio Pollio, @mpollio, 2014/03/21

Michael Fogleman, @mwfogleman, 2014/04/08

James W. Anderson, @welford, 2014/04/08

Tomohiro Miura, @pekopeko1, 2014/04/15

Devin Weaver, @sukima, 2014/05/21

Irene Knapp, @IreneKnapp, 2014/05/17

Daniel Rodriguez Rivero, @danielo515, 2014/04/18

Jonathan Lister, @jayfresh, 2014/06/23

Stephan Sokolow, @ssokolow, 2014/07/15

Dave Gifford, @giffmex, 2014/09/05

Eucaly J, @Eucaly, 2014/09/14

Mal Gamble, @malgam, 2014/09/19

Ton Gerner, @gernert, 2014/09/19

Julie Bertrand, @Evolena, 2014/09/22

Andrey Yankin, @andrey013, 2014/09/30

David john, @fghhfg, 2014/10/06

Mark S., @marxsal, 2014/10/18

Erwan Moreau, @erwanm, 2014/10/27

Felix Küppers, @felixhayashi, 2014/11/02

Roma Hicks, @roma0104, 2014/11/18

Jedediah Carty, @inmysocks, 2014/11/21

Erwan Dano, @Braincoke, 2014/11/24

Jim Lehmer, @dullroar, 2014/12/07

Aurelien Navarre, @anavarre, 2014/12/15

Astrid Elocson, @aelocson, 2014/12/21

Andreas Hahn, @Drakor, 2014/12/21

Jean-Charles Longuet, @Jc-L, 2014/12/22

Evgeniy Gryaznov, @evgeniy-gryaznov, 2014/12/23

Andrew Harrison, @infurnoape, 2014/12/27

Arlen Beiler, @arlen22, 2014/12/30

David P Dannemiller, @dpdannemiller, 2015/01/10

Ben Williams, @Mathobal, 2015/01/26

Neil Griffin, @ng110, 2015/01/20

Alex Hough, @alexhough 2015/01/26

Florent V., @Spangenhelm 2015/02/03

Francisco A., @le-pako 2015/03/14

Andreas Abeck, @andreasabeck 2015/03/18

Hong-Yi Dai, @reflectionalist 2015/04/04

YangWeiQin, @heroboy 2015/04/19

vouko, @vouko 2015/05/02

Christian Ehmke, @cehmke 2015/05/10

kixam, @kixam, 2015/05/27

Sylvain Naudin, @silvyn, 2015/06/09

Lolo le 13 @lolole13 2015/06/04

Steven McDonald, @StevenMcD 2015/05/21

Richard Smith, @richardwsmith 2015/05/22

Marco Rimoldi, @marcor, 2015/06/26

Slobodan Vujnovic, @slovuj, 2015/06/30

Anthon Nilsson, @superdos, 2015/08/06

Myeongjin, @araname, 2015/08/08

Hegart Dmishiv, @hegart-dmishiv, 2015/09/15

William Jackson, @matabele 2015/09/26

Karl Knechtel, @zahlman, 2015/10/03

Tony Grosinger @tgrosinger 2015/10/03

Antaeus Feldspar @afeldspar 2015/10/20

Soeren Enevoldsen, @senevoldsen90, 2015/10/09

Santiago Pelufo, @spelufo, 2015/12/18

Matthew Lauber, @mklauber, 2015/11/13

Matthew DeAbreu, @mdeabreu, 2016/01/05

Cameron Fischer, @flibbles, 2016/01/08

Jim, @ARRRRGH, 2016/01/11

Koke Laast, @Koke24, 2016/01/27

Thomas Elmiger, @telmiger, 2016/02/02

Richard Rath @rcrath 2016/02/12

Eric Drechsel @edrex 2016/02/15

Tomasz Pijanowski @zakrec 2016/02/21

@FND 2016/02/27

Cengizhan Kurt, @webninjasi, 2016/03/03

Knut Franke, @nome, 2016/03/20

Pau Deluca, @PauDeLuca, 2016/04/11

Brent Maxwell, @brentmaxwell, 2016/05/20

Thomas Herlea, @maxthomax, 2016/06/09

Segey Shishkin, @serj_aleks, 2016/07/28

Przemek Wesołek, @jest, 2016/08/05

Doron Tzur, @DoronTzur 2016/08/16

Hans Christian Haase, @hchaase, 2016/08/11

steve schneider, @stevesunypoly, 2016/08/26

Nuno Mota, @nmota, 2016/12/16

Sylvain Comte, @sycom, 2016/12/20

Saul D Beniquez, @beniquezsd 2017/01/01

Rizwan Ishak, @ibnishak, 2017/01/10

Stefano De Dionigi, @dedioste, 2017/01/19

Matias Goldman, @twMat, 2017/01/22

Andrew Webb, @tejjyid, 2017/03/06

Richard Decal, @crypdick, 2017/04/04

Adrian Morosanu, @morosanuae, 2017/06/02

Rob Hoelz, @hoelzro, 2017/05/08

Saq Imtiaz, @saqimtiaz, 2017/06/14

Simon Huber, @BurningTreeC, 2017/12/22

Brian McKee, @furicle, 2018/01/08

Diego Mesa, @diego898, 2018/01/11

Mete Balci, @metebalci, 2018/03/19

Sebastian Silva, @icarito, 2018/04/03

Luca Dorigo, @ldorigo, 2018/05/05

Anthony Muscio, @AnthonyMuscio, 2018/05/21

Muhammad Talha Mansoor, @talha131, 2018/07/16

Bimba László, @bimlas, 2018/08/10

Andres Carrera, @Lioric, 2018/10/11

Yurii Rashkovskii, @yrashk, 2018/10/19

Abraham Samma, @abesamma, 2018/10/31

German Ramírez, @g0erman, 2018/11/14

@00SS, 2018/12/10

David Nebauer, @dnebauer, 2019/01/01

Moritz Ulrich, @the-kenny, 2019/01/03

Johannes Löthberg, @kyrias, 2019/01/07

Ben Webber, @benwebber, 2019/01/09

Jesse Weinstein, @JesseWeinstein, 2019/01/14

Adam Sherwood, @admls, 2019/01/27

Joshua Fontany, @joshuafontany, 2019/03/07

Irene Castaños, @jdjdjdjdjdjd, 2019/03/11

Dong Zhihong, @donmor, 2019/05/29

Joshua Stubbs, @LordRatte, 2019/05/31

Robin Munn, @rmunn, 2019/06/16

Mark Kerrigan, @markkerrigan, 2019/08/24

Stefan Schuster-Teupke, @StefanSTFG, 2019/08/26

Nils Lindemann, @nilslindemann, 2022/01/10

Marica Odagaki, @ento, 2019/08/30

Mark Stegeman, @markstegeman, 2019/08/31

Mohammad Rahmani, @kookma, 2019/09/03

Jan-Oliver Kaiser, @janno, 2019/09/06

Xavier Maysonnave, @xmaysonnave, 2019/11/08

Will Atwood Mitchell, @wam, 2019/12/11

Stefan Krüger, @s-light, 2020/01/04

Lee Sheng Long, @s-l-lee, 2020/01/25

Scott Willeke, @activescott, 2020/02/01

@lucible, 2020/02/05

Matthias Bilger, @m42e, 2020/03/11

Mandar Vaze, @mandarvaze, 2020/04/08

Lin Dongwu, @linonetwo, 2020/04/15

Tobias Hermann, @idotobi, 2020/04/19 

Nicolas Petton, @NicolasPetton, 2020/04/30

Csaba Molnar, @mocsa, 2020/04/29

Jonas Passerini, @passuf, 2020/05/14

Dazhong Xia, @jdangerx, 2020/06/23

Diep Pham, @favadi, 2020/07/30

Adithya Badidey, @adithya-badidey, 2020/08/10

Kamal Habash, @Kamal-Habash, 2020/08/28

Florian Kohrt, @fkohrt, 2020/09/10

Gerald Liu, @gera2ld, 2020/09/25

Stefano Stoduto, @OmbraDiFenice, 2020/10/03

Ryan Kramer, @default-kramer, 2020/10/24

Miha Lunar, @SmilyOrg, 2020/11/04

Maki Lam, @makiaea, 2020/12/27

Chris Nicoll, @clutterstack, 2020/12/28

Odin Jorna, @OdinJorna, 2020/12/31

Joe Bordes, @joebordes, 2021/01/02

Glenn Dixon, @dixonge, 2021/01/03

Russ Thomas, @codacodr, 2021/01/03

Peter Neumark, @neumark, 2021/01/15

Daniel Goß, @FlashSystems, 2021/01/19

@leehawk787, 2021/01/21

Yoonchae Lee, @BlueGreenMagick, 2021/01/21

Dyllon Gagnier, @slaymaker1907, 2021/01/24

J. Wilhelm, @jeremyredhead, 2021/01/27

Quentin Minster, @laomaiweng, 2021/03/10

Cindy Ruan, @cdruan, 2021/03/18

Urban Alič, @ualich, 2021/05/06

Joe Bordes, @joebordes, 2021/05/30

Frank Bruns-Ballhausen, @FBB-de, 2021/06/09

Álvaro González Rincón, @Alzacon, 2021/06/10

RJ Skerry-Ryan, @rryan, 2021/07/03

J. Song, @8d1h, 2021/08/05

Soren Bjornstad, @sobjornstad, 2021/08/18

Boris Mann, @bmann, 2021/09/28
 
Maurycy Zarzycki, @evidentlycube, 2021-10-01

Brian Theado, @btheado, 2021-10-10

@Telumire, 2021-10-18

@eiro10, 2021-11-14

Fred, @tw-FRed, 2021/12/04

Joseph Cosentino, @jc-ose, 2021-12-14

@davout1806, 2021/12/17

@pmario, @TiddlyVee, 2022/02/26

Eskha, @es-kha, 2022/03/04

@FSpark, 2022/03/08

Guang Li, @oflg, 2022/03/12

Dam S., @damscal, 2022/03/24

Max Schillinger, @MaxGyver83, 2022/05/11

Nolan Darilek, @NDarilek,  2022/06/21

Keiichi Shiga (🎈 BALLOON | FU-SEN), @fu-sen. 2022/07/07

Nathaniel Knight, @nathanielknight, 2022/07/26

HuanCheng Bai, @bestony, 2022/09/17

Carlo Colombo, @carlo-colombo, 2022/11/30

Wincent Balin, @wincentbalin, 2022/12/18

Jeffrey Zhang, @jeffrey4l, 2022/12/24

cs84285, @cs8425, 2022/12/30

Nick Bell, @newmedicine, 2023/01/01

Frank Kmiec, @fkmiec, 2023-01-01

Pippo Peppo, @pippep, 2023-01-03

Scott Sauye, @CrossEye, 2023-01-04

Marcus Winter, @yaisog, 2023-01-07

Ethan Weller, @gamedungeon, 2023-01-17

Mateusz Wilczek, @mateuszwilczek, 2023/02/16

Andrea Octo, @andrigamerita, 2023/02/24

HuanC Fu, @hffqyd, 2023/03/03

Michelle Saad, @michsa, 2023-03-08

Yukai Chou, @muzimuzhi, 2023-04-07

Carmine Guida, @carmineguida, 2023-05-17

Tavin Cole, @tavin, 2023/05/25

WhiteFall, @Zacharia2, 2023/06/04

@oeyoews, 2023/06/30

Eric Haberstroh, @pille1842, 2023/07/23

@lilscribby, 2023-07-24

@TiddlyTweeter, 2023/07/25

@catter-fly, 2023/07/27

@cmo-pomerium, 2023/08/03

BuckarooBanzay, @BuckarooBanzay, 2023/09/01

Timur, @T1mL3arn, 2023/10/04

Wang Ke, @Gk0Wk, 2023/10/17

@frittro, 2023/10/27

@etardiff, 2023/12/10

John Long, @drevarr, 2023/12/12

Ed Holsinger, @eschlon, 2024/02/08

Kim I. McKinley, @PotOfCoffee2Go, 2024/03/16

@Jinix6, 2024/03/31

Anders Jarmund, @andjar, 2024/04/05

@sarna, 2024/04/28

Fokzo Kat, @CyberFoxar, 2024/05/20

Andrei Rybak, @rybak, 2024/06/09

@Leilei332, 2024/06/28

@springerspandrel, 2024/06/27

@andrewgoz, 2024/07/10

Michael McDermott, @michaeljmcd, 2024-07-09

@webplusai, 2024/07/23

Val Packett, @valpackett, 2024/07/26

@wolfsprite, 2024/08/09

@JDIGIO0213, 2024/08/29

@IchijikuIchigo, 2024/09/29

JC John Sese Cuneta, @techmagus, 2024/10/07
